Index: frontend/src/Components/TransportDetails/FinalPoint.js
===================================================================
--- frontend/src/Components/TransportDetails/FinalPoint.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/TransportDetails/FinalPoint.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -17,5 +17,5 @@
     <>
       <Row>
-        {props.left === "true" && <Col className="d-flex flex-column justify-content-center col-md-4" style={{paddingLeft: "2.6rem"}}>
+        {props.left === "true" && <Col className="d-flex flex-column justify-content-center col-auto" style={{paddingLeft: "2.6rem"}}>
             <h5 className="m-auto">{getTimeAsString(props.time)}</h5>
         </Col>  }
Index: frontend/src/Components/TransportDetails/Line.js
===================================================================
--- frontend/src/Components/TransportDetails/Line.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/TransportDetails/Line.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -2,5 +2,7 @@
 
 const Line = (props) => {
-    const left = props.left === "true" ? "1.8rem" : "1.85rem";
+    console.log(props.left)
+    const left = props.left === "true" ? "9.08rem" : "2.6rem";
+    console.log({borderLeft: "5px solid #159895", height: "3em", marginLeft: left, marginTop: "-1.4rem", marginBottom: "-1.4rem"})
     return (<>
         <div style={{borderLeft: "5px solid #159895", height: "3em", marginLeft: left, marginTop: "-1.4rem", marginBottom: "-1.4rem"}}></div>
Index: frontend/src/Components/TransportDetails/RouteContainer.js
===================================================================
--- frontend/src/Components/TransportDetails/RouteContainer.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/TransportDetails/RouteContainer.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -20,5 +20,5 @@
         }}
       >
-        <Waypoint city={props.data.from} time={''}></Waypoint>
+        <Waypoint city={props.data.from} time={props.data.date}></Waypoint>
         {props.data.routes && props.data.routes.map((route, i) => {
           return <Waypoint city={route} time={props.data.times[i]}></Waypoint>
Index: frontend/src/Components/TransportDetails/Waypoint.js
===================================================================
--- frontend/src/Components/TransportDetails/Waypoint.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/TransportDetails/Waypoint.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,60 +1,38 @@
 import React from "react";
-import {Container, Row, Col} from "react-bootstrap";
-import {RxDot} from "react-icons/rx"
+import { Container, Row, Col } from "react-bootstrap";
+import { RxDot } from "react-icons/rx"
 import Line from "./Line";
 
 const Waypoint = (props) => {
-    console.log(props.left)
-    const style = props.left === "true" ? {textAlign: "left"} : {}
-    console.log(style)
+  console.log(props.left)
+  const style = props.left === "true" ? {textAlign: "left"} : {}
+  console.log(style)
 
-    const getTimeAsString = (dateString) => {
-        if(dateString === '')
-            return ''
-        const date = new Date(dateString)
-        return `${String(date.getHours()).padStart(2, '0')}:${String(date.getMinutes()).padStart(2, '0')}`;
-    }
+  const getTimeAsString = (dateString) => {
+    const date = new Date(dateString)
+    return `${String(date.getHours()).padStart(2, '0')}:${String(date.getMinutes()).padStart(2, '0')}`;
+  }
 
-    return (
-        <>
-            <Row className="d-flex flex-row gap-0">
-                {props.left === "true" &&
-                    <Col className="d-flex flex-column justify-content-center col-md-4" style={{paddingLeft: "2.6rem"}}>
-                        <h5 style={{color: props.routes === "true" ? "white" : ""}}
-                            className="m-auto">{getTimeAsString(props.time)}</h5>
-                    </Col>}
-                <Col md="auto">
-                    <RxDot size={"4rem"} color="#159895"></RxDot>
-                </Col>
-                <Col className="d-flex flex-column justify-content-center">
-                    <h3 className="my-auto" style={{
-                        ...style,
-                        fontSize: props.routes === "true" ? "1.3rem" : "",
-                        color: props.routes === "true" ? "#708090	" : ""
-                    }}>{props.city}</h3>
-                </Col>
-                {props.left !== "true" && <Col className="d-flex flex-column justify-content-center">
-                    <h5>{getTimeAsString(props.time)}</h5>
-                </Col>}
-            </Row>
-            <Row className="d-flex flex-row gap-0">
-                {props.left === "true" &&
-                    <Col className="d-flex flex-column justify-content-center col-md-4" style={{paddingLeft: "2.6rem"}}>
-
-                    </Col>}
-                <Col md="auto">
-                    <Line left={props.left}> </Line>
-                </Col>
-                <Col className="d-flex flex-column justify-content-center">
-                </Col>
-                {props.left !== "true" && <Col className="d-flex flex-column justify-content-center">
-
-                </Col>}
-            </Row>
-            {/*<Row>*/}
-            {/*<Line left={props.left}> </Line>*/}
-            {/*</Row>*/}
-        </>
-    );
+  return (
+    <>
+      <Row className="d-flex flex-row gap-0">
+      {props.left === "true" && <Col className="d-flex flex-column justify-content-center col-auto" style={{paddingLeft: "2.6rem"}}>
+            <h5 style={{color: props.routes === "true" ? "white" : "" }} className="m-auto">{getTimeAsString(props.time)}</h5>
+        </Col>}
+        <Col md="auto">
+          <RxDot size={"4rem"} color="#159895"></RxDot>
+        </Col>
+        <Col className="d-flex flex-column justify-content-center">
+          <h3 className="my-auto" style={{...style, fontSize: props.routes === "true" ? "1.3rem" : "", color: props.routes === "true" ? "#708090	" : ""}}>{props.city}</h3>
+        </Col>
+      {props.left !== "true" && <Col className="d-flex flex-column justify-content-center">
+            <h5>{getTimeAsString(props.time)}</h5>
+        </Col>}
+      </Row>
+      <Row>
+      <Line left={props.left}> </Line>
+      </Row>
+    </>
+  );
 };
 
Index: frontend/src/Components/TransportEdit/TransportEditTab.js
===================================================================
--- frontend/src/Components/TransportEdit/TransportEditTab.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/TransportEdit/TransportEditTab.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -9,19 +9,11 @@
 import TransportListing from "./TransportListing";
 import useGet from "../Hooks/useGet";
-import ReservationListing from "../HotelEdit/ReservationListing";
 
 function TransportEditTab(props) {
   const [activeTab, setActiveTab] = useState("/hotel");
-  console.log(props)
-
-
-  const {
-    data,
-    isLoading,
-    setData,
-    getData,
-    setChanged: dhanged
-  } = useGet(`/transport/${props.displayRoute.transportID}/reservations/active`)
-
+  const link = "/transport/" + props.displayRoute.transportID + "/available";
+  console.log(props.displayRoute)
+  const [changed, setChanged] = useState(0)
+  const { data, setData, isLoading, getData } = useGet(link, changed);
 
 
@@ -83,9 +75,5 @@
           </Tab.Pane>
           <Tab.Pane eventKey="/restaurant">
-            {!isLoading && data.map((res) => {
-              return (
-                  <ReservationListing type={'transport'} data={res}/>
-              )
-            })}
+            <AddNew type="restaurant"/>
           </Tab.Pane>
           <Tab.Pane eventKey="/transport">
Index: frontend/src/Components/TransportEdit/TransportListing.js
===================================================================
--- frontend/src/Components/TransportEdit/TransportListing.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/TransportEdit/TransportListing.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -9,4 +9,6 @@
 
     //const type = props.type == "hotel" ? "сместувањето" : props.type == "restaurant" ? "ресторанот" : "превозот";
+    console.log(props.data)
+    console.log(props.data.from)
     return (<>
         <a href="#" style={{textDecoration: "none", color: "black"}}>
@@ -32,4 +34,5 @@
                     <Col className="d-flex flex-column justify-content-center" style={{textAlign: "left"}}>
                         <h2>{props.data.from} - {props.data.to}</h2>
+                        {/* <h6>{props.data.routeCities}</h6> */}
                         <h6>{props.data.routes.map(x => x).join(", ")}</h6>
                     </Col>
@@ -37,5 +40,6 @@
                     <Col className="d-flex flex-column justify-content-center align-content-center">
                         <h5>Цена:</h5>
-                         <h4>{props.data.maxPrice}$</h4>
+                        {/* <h4>{props.data.routePrice}</h4> */}
+                        <h4>99$</h4>
                     </Col>
                 </Row>
Index: frontend/src/Components/useFormNested.js
===================================================================
--- frontend/src/Components/useFormNested.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/useFormNested.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -7,5 +7,5 @@
         console.log(e)
 
-        const dependantRoutes = e.target.name === 'freeSpace' ? e.target.parentElement.getAttribute('dependantRoutes').split(',') : undefined;
+        const dependantRoutes = e.target.parentElement.getAttribute('dependantRoutes').split(',')
         console.log(dependantRoutes)
 
Index: frontend/src/Pages/HomePage.js
===================================================================
--- frontend/src/Pages/HomePage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/HomePage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -43,5 +43,5 @@
       </Container>
       <Container className="my-5">
-        {/*<BecomeAHost></BecomeAHost>*/}
+        <BecomeAHost></BecomeAHost>
       </Container>
     </>
Index: frontend/src/Pages/HotelDetailsPage.js
===================================================================
--- frontend/src/Pages/HotelDetailsPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/HotelDetailsPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,5 +1,5 @@
 import React from "react";
 import LoginForm from "../Components/Login/LoginForm";
-import {Container, Row, Col, Form, FloatingLabel, Modal, Button} from "react-bootstrap";
+import { Container, Row, Col, Form } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import Carousel from "react-bootstrap/Carousel";
@@ -48,5 +48,5 @@
                     }}
                   >
-                    {data.averageScore.toFixed(1)}
+                    9.1
                   </span>
                 </Col>
@@ -69,7 +69,6 @@
                   placeholder="Каде ќе патувате?:"
                   id="location"
-                  value={data.hotelLocation}
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="location">Локација:</label>
+                <label htmlFor="location">Локација:</label>
               </Form.Floating>
             </Row>
@@ -81,7 +80,6 @@
                   placeholder="Датум на пристигнување:"
                   id="dateFrom"
-                  value={from}
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="dateFrom">Датум на пристигнување:</label>
+                <label htmlFor="dateFrom">Датум на пристигнување:</label>
               </Form.Floating>
             </Row>
@@ -93,7 +91,6 @@
                   placeholder="Датум на заминување:"
                   id="dateTo"
-                  value={to}
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="dateTo">Датум на заминување:</label>
+                <label htmlFor="dateTo">Датум на заминување:</label>
               </Form.Floating>
             </Row>
@@ -106,5 +103,5 @@
                   id="floatingPassengers"
                 ></Form.Control>
-                <label style={{left: "10px"}} htmlFor="floatingPassengers">Број на гости:</label>
+                <label htmlFor="floatingPassengers">Број на гости:</label>
               </Form.Floating>
             </Row>
@@ -114,20 +111,4 @@
               <Row>
                 <Carousel activeIndex={index} onSelect={handleSelect}>
-                  {data.images.map((image) => {
-                    let link = image.url;
-                    if (image.url.includes('Desktop')) {
-                      link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(image.url);
-                    }
-                    return (
-                        <Carousel.Item>
-                          <img
-                              className="d-block w-100 h-400 rounded-5"
-                              src={link}
-                              alt="First slide"
-                              style={{ height: "50vh" }}
-                          />
-                        </Carousel.Item>
-                    )
-                  })}
                   <Carousel.Item>
                     <img
@@ -164,5 +145,5 @@
         <Row className="mb-5">
           <Col className="col-md-8"><DescriptionContainer data={data.hotelDescripiton} type="hotel"></DescriptionContainer></Col>
-          <Col className="col-md-4"><ReviewsCarousel reviews={data.hotelReviews}></ReviewsCarousel></Col>
+          <Col className="col-md-4"><ReviewsCarousel></ReviewsCarousel></Col>
         </Row>
         <Row className="mb-3"><RoomsTable from={from} to={to} data={data.hotelRooms}></RoomsTable></Row>
Index: frontend/src/Pages/HotelEditPage.js
===================================================================
--- frontend/src/Pages/HotelEditPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/HotelEditPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,60 +1,59 @@
-import React, {useState} from "react";
-import {Container, Col, Row, Image} from "react-bootstrap";
+import React, { useState } from "react";
+import { Container, Col, Row, Image } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import ResourcesTab from "../Components/Resources/ResourcesTab";
 import HotelEditTab from "../Components/HotelEdit/HotelEditTab";
 import useGet from "../Components/Hooks/useGet";
-import {Navigate, useParams} from "react-router-dom";
-import {useAuth} from "../Components/Context/AuthContext";
+import { useParams } from "react-router-dom";
 
 
 const HotelEditPage = () => {
 
-    const params = useParams();
-    const link = `/hotel/${params.hotelId}/list`;
-    const [changed, setChanged] = useState(0)
-    const {data, setData, isLoading, getData} = useGet(link, changed);
+  const params = useParams();
+  const link = "/hotel/list/" + params.hotelId;
+  const [changed, setChanged] = useState(0)
+  const { data, setData, isLoading, getData } = useGet(link, changed);
 
 
-    console.log(data)
-    return (
-        <>
-            <Navigation/>
-            {!isLoading && <Container>
-                <Row className="mb-5">
-                    <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
-                </Row>
-                <Row className="mb-5">
-                    <Col>
-                        <Row className="d-flex mb-3">
-                            <Col
-                                className="d-flex justify-content-center"
-                                style={{maxWidth: "30%"}}
-                            >
-                                <Image
-                                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                                    style={{
-                                        height: "5em",
-                                        borderRadius: "50%",
-                                        maxWidth: "100%",
-                                    }}
-                                    className="m-auto"
-                                ></Image>
-                            </Col>
-                            <Col className="d-flex justify-content-center">
-                                <Container className="pt-2" style={{textAlign: "left"}}>
-                                    <h4>{data.hotelName}</h4>
-                                    <h5>{data.hotelLocation}</h5>
-                                </Container>
-                            </Col>
-                        </Row>
-                    </Col>
-                </Row>
-                <Row>
-                    <HotelEditTab refresh={setChanged} displayRoom={data}/>
-                </Row>
-            </Container>}
-        </>
-    );
+  console.log(data)
+  return (
+    <>
+      <Navigation />
+      {!isLoading && <Container>
+        <Row className="mb-5">
+          <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
+        </Row>
+        <Row className="mb-5">
+          <Col>
+            <Row className="d-flex mb-3">
+              <Col
+                className="d-flex justify-content-center"
+                style={{ maxWidth: "30%" }}
+              >
+                <Image
+                  src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                  style={{
+                    height: "5em",
+                    borderRadius: "50%",
+                    maxWidth: "100%",
+                  }}
+                  className="m-auto"
+                ></Image>
+              </Col>
+              <Col className="d-flex justify-content-center">
+                <Container className="pt-2" style={{ textAlign: "left" }}>
+                  <h4>{data.hotelName}</h4>
+                  <h5>{data.hotelLocation}</h5>
+                </Container>
+              </Col>
+            </Row>
+          </Col>
+        </Row>
+        <Row>
+            <HotelEditTab refresh={setChanged} displayRoom={data}/>
+        </Row>
+      </Container>}
+    </>
+  );
 };
 
Index: frontend/src/Pages/LoginErrorPage.js
===================================================================
--- frontend/src/Pages/LoginErrorPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/LoginErrorPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -11,4 +11,5 @@
     const [show, setShow] = useState(false);
     const [changed, setChanged] = useState(0);
+    const {data, isLoading} = useGet("/username")
     const userId = localStorage.getItem("userId")
     const [registered, setRegistered] = useState(false);
Index: frontend/src/Pages/LoginPage.js
===================================================================
--- frontend/src/Pages/LoginPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/LoginPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -3,7 +3,4 @@
 import { Container } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
-import {useAuth} from "../Components/Context/AuthContext";
-import {Navigate} from "react-router-dom";
-
 
 const LoginPage = () => {
@@ -11,12 +8,4 @@
   document.body.style.marginTop = "auto";
   document.body.style.marginBottom = "auto";
-
-  const Auth = useAuth();
-  const isLoggedIn = Auth.userIsAuthenticated();
-
-    if (isLoggedIn) {
-        return <Navigate to={'/home'}/>
-    }
-
   return (
     <>
Index: frontend/src/Pages/NoBusinessRegisteredError.js
===================================================================
--- frontend/src/Pages/NoBusinessRegisteredError.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/NoBusinessRegisteredError.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -6,13 +6,11 @@
 import RegisterBusinessForm from "../Components/Forms/RegisterBusinessForm";
 import useGet from "../Components/Hooks/useGet";
-import {Navigate, useNavigate} from "react-router-dom";
-import {useAuth} from "../Components/Context/AuthContext";
+import { useNavigate } from "react-router-dom";
 
 const NoBusinessRegisteredError = (props) => {
   const [show, setShow] = useState(false);
   const [changed, setChanged] = useState(0);
-  const Auth = useAuth();
-  const isLoggedIn = Auth.userIsAuthenticated();
-  const userId = Auth.getUser().userId
+  const {data, isLoading} = useGet("/username")
+  const userId = localStorage.getItem("userId")
   const [registered, setRegistered] = useState(false);
   let checked = false;
@@ -26,6 +24,5 @@
   
   const { data: firma, isLoading: firmaIsLoading, getData: getFirmi} = useGet("/business/" + userId + "/unapproved", changed)
-  const { data, isLoading, getData} = useGet("/" + userId + "/hasBusiness")
-
+  
 
   useEffect(() => {
@@ -48,10 +45,8 @@
 
 
-  if(!isLoggedIn)
-  {
-    return <Navigate to={'/login'}/>
-  }
+  console.log(data)
 
-  !isLoading && data && navigator("/resources/hotel")
+  !isLoading && !data && navigator("/login")
+  !firmaIsLoading && firma && firma.length > 0 && firma[0].approved && navigator("/resources/hotel")
   
 
Index: frontend/src/Pages/ProfilePage.js
===================================================================
--- frontend/src/Pages/ProfilePage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/ProfilePage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -8,13 +8,10 @@
 import ChangePasswordForm from "../Components/Forms/ChangePasswordForm";
 import useGet from "../Components/Hooks/useGet";
-import {useAuth} from "../Components/Context/AuthContext";
-import {Navigate} from "react-router-dom";
 
 const ProfilePage = () => {
 
-    const { data, setData, isLoading, getData } = useGet("/principal");
+  const { data, setData, isLoading, getData } = useGet("/principal");
 
-
-
+  
     const profileData = {
         "name": "Марко",
@@ -22,5 +19,5 @@
         "address": "ул. Раскрсница бр. 10",
         "dateOfBirth": "2002-01-01",
-        "country": "Македонија",
+        "country": "Никогаш Северна само МАКЕДОНИЈА",
         "zip": "1000",
         "city": "Скопје",
@@ -30,9 +27,8 @@
 
 
-
   return (
     <>
       <Navigation />
-    {!isLoading && <Container>
+{      !isLoading && <Container>
         <Row className="mb-5">
           <h2 style={{ color: "#159895", textAlign: "left" }}>Мојот профил</h2>
Index: frontend/src/Pages/ResourcesPage.js
===================================================================
--- frontend/src/Pages/ResourcesPage.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Pages/ResourcesPage.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,55 +1,54 @@
 import React from "react";
-import {Container, Col, Row, Image} from "react-bootstrap";
+import { Container, Col, Row, Image } from "react-bootstrap";
 import Navigation from "../Components/Layout/Navbar/Navigation";
 import ResourcesTab from "../Components/Resources/ResourcesTab";
-import {useState} from "react";
+import { useState } from "react";
 import useGet from "../Components/Hooks/useGet";
-import {useAuth} from "../Components/Context/AuthContext";
-import {Navigate} from "react-router-dom";
 
 const ResourcesPage = (props) => {
 
-    const Auth = useAuth();
-    const user = Auth.getUser();
+  console.log(props.tab)
+  const { data, setData, isLoading, getData } = useGet("/principal");
 
-    return (
-        <>
-            <Navigation/>
-            {<Container>
-                <Row className="mb-5">
-                    <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
-                </Row>
-                <Row className="mb-5">
-                    <Col>
-                        <Row className="d-flex mb-3">
-                            <Col
-                                className="d-flex justify-content-center"
-                                style={{maxWidth: "30%"}}
-                            >
-                                <Image
-                                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
-                                    style={{
-                                        height: "5em",
-                                        borderRadius: "50%",
-                                        maxWidth: "100%",
-                                    }}
-                                    className="m-auto"
-                                ></Image>
-                            </Col>
-                            <Col className="d-flex justify-content-center">
-                                <Container className="pt-2" style={{textAlign: "left"}}>
-                                    <h4>{user.name + " " + user.surname}</h4>
-                                    <h5>{user.username}</h5>
-                                </Container>
-                            </Col>
-                        </Row>
-                    </Col>
-                </Row>
-                <Row>
-                    <ResourcesTab tab={props.tab}></ResourcesTab>
-                </Row>
-            </Container>}
-        </>
-    );
+
+  return (
+    <>
+      <Navigation />
+{!isLoading && <Container>
+        <Row className="mb-5">
+          <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
+        </Row>
+        <Row className="mb-5">
+          <Col>
+            <Row className="d-flex mb-3">
+              <Col
+                className="d-flex justify-content-center"
+                style={{ maxWidth: "30%" }}
+              >
+                <Image
+                  src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                  style={{
+                    height: "5em",
+                    borderRadius: "50%",
+                    maxWidth: "100%",
+                  }}
+                  className="m-auto"
+                ></Image>
+              </Col>
+              <Col className="d-flex justify-content-center">
+                <Container className="pt-2" style={{ textAlign: "left" }}>
+                  <h4>{data.name + " " + data.surname}</h4>
+                  <h5>{data.email}</h5>
+                </Container>
+              </Col>
+            </Row>
+          </Col>
+        </Row>
+        <Row>
+            <ResourcesTab tab={props.tab}></ResourcesTab>
+        </Row>
+      </Container>}
+    </>
+  );
 };
 
